<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<!-- responsive meta tags -->
	<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
	<title>Bootstrap Grid System</title>

	<!-- bootstrap css -->
	<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">
</head>
<body>
	<h1 class="text-center text-white bg-danger">Bootstrap Grid System</h1>
	<div class="container-fluid">
		<div class="row">
			<!-- a div column can occupy more than 1 column. we may create layouts wherein one div occupies 8 columns and another div occupies 4 columns
			But as you may see, it results to 12 columns for our row. If the divs in the row occupy more than 12 columns, the row would overflow and put the rest of the divs on the next line.

			Syntax do define the number of columns a div will occupy in a row:

			col-breakpoint-numberOfCokumns (must not exceed 12 to vaoid overflow)
			 -->
			 <div class="bg-primary border border-dark col-md-8">
			 	Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
			 	tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
			 	quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
			 	consequat. 
			 </div>
			 <div class="bg-danger border border-dark col-md-6">
			 	Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
			 	tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
			 	quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
			 	consequat. 	
			 </div>
		</div>
	</div>

	<!-- container -->
	<div class="container bg-dark">
		<h2 class="text-center">Row in Container</h2>
		<div class="row">
			<div class="col-6 border border-dark bg-primary">
				6 columns out of 12
			</div>
			<div class="col-6 border border-dark bg-danger">
				6 columns out of 12
			</div>
		</div>
	</div>

	<!-- uneven columns-->
	<div class="container-fluid bg-secondary mt-5">
		<h2 class="text-center text-white">Uneven Columns</h2>
		<div class="row">
			<div class="col-6 border border-dark bg-success">
				6 columns out of 12
			</div>
			<div class="col-3 border border-dark bg-info">
				3 columns out of 12
			</div>
			<div class="col-3 border border-dark bg-danger">
				3 columns out of 12
			</div>
		</div>
	</div>

	<div class="container-fluid bg-secondary mt-5">
		<h2 class="text-center text-white">Uneven Columns</h2>
		<div class="row">
			<div class="col-3 border border-dark bg-success">
				3 columns out of 12
			</div>
			<div class="col-6 border border-dark bg-info">
				6 columns out of 12
			</div>
			<div class="col-3 border border-dark bg-danger">
				3 columns out of 12
			</div>
		</div>
	</div>

	<div class="container-fluid bg-secondary mt-5">
		<h2 class="text-center text-white">Uneven Columns</h2>
		<div class="row">
			<div class="col-3 border border-dark bg-success">
				3 columns out of 12
			</div>
			<div class="col-3 border border-dark bg-info">
				3 columns out of 12
			</div>
		</div>
	</div>

	<!-- Mini Activity

		Create a new div with class row:
			Create columns with the following sizes:

			1 - occupies 8 columns
				text: 8 out of 12 columns
				bg: primary
				border color: black

			2 - occupies 2 columns
				text: 2 out of 12 columns
				bg: danger
				border color: black

			3 - occupies 2 columns
				text: 2 out of 12 columns
				bg: success
				border color: black

	 -->

		<div class="row mt-5">
			<div class="col-8 border border-dark bg-primary">
				8 out of 12 columns
			</div>
			<div class="col-2 border border-dark bg-danger">
				2 out of 12 columns
			</div>
			<div class="col-2 border border-dark bg-success">
				2 out of 12 columns
			</div>	
		</div>

		<!-- 
			Mini Activity

			- Add size 5 margin at the top of the div with class row

			- resize the 1st div inside the div with class row:
				- Let the div occupy 3 columns
				- Scale the image in the div by adding class img-fluid for the image tag

			- resize the 2nd div inside the div with the class row:
				- Let the div occupy 5 columns
				- Change the color of the text inside the div (white)


		 -->

		 <div class="row mt-5">
		 	<div class="col-3 offset-2">
		 		<img class="img-fluid" src=https://i.pinimg.com/474x/ec/32/45/ec324549310ed4c5966ffe05f718e66c.jpg alt="pic">
		 	</div>
		 	<div class="col-5 border bg-dark text-white">
		 		<h4>Yusuke Urameshi</h4>
		 		<p>
		 			Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
		 			tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
		 			quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
		 			consequat. 
		 		</p>
		 	</div>
		 </div>

		 <hr>
		 <h2 class="text-center text-white">Offset</h2>
		 <div class="row mt-4">
		 	<!-- offset will allow us to offset our divs a number of columns to the right. However, take note that when you offset columns to the right, it will also move -->
		 	<div class="col-1 bg-danger border border-dark offset-3">
		 		1 out of 12
		 	</div>
		 	<div class="col-2 bg-danger border border-dark offset-1">
		 		2 out of 12
		 	</div>
		 	<div class="col-2 bg-danger border border-dark offset-4 ">
		 		2 out of 12
		 	</div>
		 </div>


		 <!-- 
			Mini Activity:

			div in 1st row with img:
				resize it to occupy 2 columns
				offset the div to the center within the row
				scale the image to its container with img-fluid class
			
			div in 2nd row with heading:
				resize it to occupy 2 columns
				offset the div to the center within the row
				align the text to center
				change the color of the text to white

			div in 3rd row with paragraph:
				resize it to occupy 4 columns
				offset the div to the center within the row
				align the text to the center
				change the c olor of the text to white

		  -->



			<div class="row mt-5">
				<div class="col-2 offset-5">
					<img class="img-fluid" src=https://www.biography.com/.image/c_limit%2Ccs_srgb%2Cq_auto:good%2Cw_620/MTcyMDMzOTA2NTI5MjgxMTU5/audrey-hepburn-gettyimages-517443052.webp alt="photo">
				</div>
			</div>
			<div class="row mt-2">
				<div class="col-2 bg-dark offset-5 text-center text-white">
				<h2>Audrey Hepburn</h2>
				<h4>Biography</h4>
				</div>
			</div>
			<div class="row mt-2">
				<div class="col-4 bg-dark offset-4 text-center text-white">
				<p>
					Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod
					tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam,
					quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo
					consequat. 
				</p>
				</div>	
			</div>		


	<hr>
	<h2 class="text-center mt-3">Breakpoints</h2>
	<!-- 
		Bootstrap prides itself with mobile-first development. This is why when we set our columns the effect or the size od from the smallest screen to the largest.
		Since bootstrap takes mobile-first approach, the default breakpoint is for the smallest screen.

		Breakpoints are the screen or point where we can resize the column.
		meaning, until we add a breakpoint (sm, md, lg,  xl) the number of columns a div will occupy will vbe the same from the smallest to the largest.

		Columns can be sized with breakpoints starting from the smallest screen:

		col-* - from smallest screen
		col-sm-* - breakpoint from small screen or about 576px screen width
		col-md-* - breakpoint from the medium or tablet or about 768px screen width
		col-lg-* breakpoint from the large or laptop or about 992px screen width
		col-xl-* - breakpoint fro the largest screen or about 1200px screen width
	 -->


	 <div class="row mt-5">
	 	<div class="col-12 col-md-6 border border-dark bg-primary p-5">
	 		column 1
	 	</div>
	 	<div class="col-12 col-lg-6 border border-dark bg-success p-5">
	 		column 2
	 	</div>
	 </div>

	 <div class="row mt-5">
	 	<div class="col-12 col-md-8 border border-dark bg-warning p-5">
	 		column 3
	 	</div>
	 	<div class="col-12 col-md-4 border border-dark bg-primary p-5">
	 		column 4
	 	</div>
	 </div>


	 <!-- 
		Create a row with 4 div columns
			each div:
				- occupies 3 columns from md to largest screen
				- occupies 6 columns from smallest screen
				- border is border dark
				- add size 5 padding on all sides
				- text: Mini-Activity
				- bg: warning
		
	  -->

	  <div class="row mt-5">
	  	<div class="col-6 col-md-3 border border-dark p-5 bg-warning">
	  		Mini-Activity
	  	</div>
	  	<div class="col-6 col-md-3 border border-dark p-5 bg-warning">
	  		Mini-Activity
	  	</div>
	  	<div class="col-6 col-md-3 border border-dark p-5 bg-warning">
	  		Mini-Activity
	  	</div>
	  	<div class="col-6 col-md-3 border border-dark p-5 bg-warning">
	  		Mini-Activity
	  	</div>
	  </div>



	  <h2 class="text-center mt-5">Column Order</h2>
	  <!-- adding order class will allow us to reorder our columns based on the screen. However, take note that the default breakpoint order is also from the smallest screen so you have to add a breakpoint to change the order of your columns in a bigger screen. -->
	  <div class="row mt-5">
	  	<div class="col-12 col-md-4 border border-dark bg-warning p-5 order-3 order-md-1">
	  		Lebron James
	  	</div>
	  	<div class="col-12 col-md-4 border border-dark bg-dark p-5 text-white order-2 order-md-3">
	  		Kevin Durant
	  	</div>
	  	<div class="col-12 col-md-4 border border-dark bg-primary p-5 order-1 order-md-2">
	  		Steph Curry
	  	</div>
	  </div>

	<!-- bootstrap js -->
	<script src="https://cdn.jsdelivr.net/npm/jquery@3.5.1/dist/jquery.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
	<script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/js/bootstrap.min.js" integrity="sha384-VHvPCCyXqtD5DqJeNxl2dtTyhF78xXNXdkwX1CZeRusQfRKp+tA7hAShOK/B/fQ2" crossorigin="anonymous"></script>
</body>
</html>